/* $RCSfile$ */
/* $Author$ */
/* $Date$ */
/* $Revision$ */

#ifndef CRISEVT_H

#define CRISEVT_H

struct ce_crisHodoData {
    short x;
    short y;
    unsigned long I;
}; 


struct ce_crisStimData {
    u_char ctr_hi_gain;     /* REFA (center) high gain flag           */
    u_char ctr_pulsers;     /* Flags for active REFA (center) pulsers */
    u_char ctr_dac_level;   /* REFA (center) DAC level                */
    u_char guard_hi_gain;   /* REFB (guard) high gain flag            */
    u_char guard_pulsers;   /* Flags for active REFB (guard) pulsers  */
    u_char guard_dac_level; /* REFB (guard) DAC level                 */
    u_char soft_led_pulse;  /* SOFT LED pulse length                  */
};


struct ce_crisEvt {
    unsigned long evtno;
    unsigned long secs1996;
    unsigned long usec;
    unsigned long rfu;
    long  npix;
    u_char *p;
    u_char evt_offset;
    char cam;
    u_char nbytes;
    u_char stim;
    u_char prim_tel_pair;
    u_char buffer_id;
    u_char guard_hi_or;
    u_char hazard;
    u_char G1;
    u_char R1;
    u_char got_2nd_tel;
    u_char got_guard;
    u_char centroid_err;
    u_char nblobs;
    u_char age;
    u_char sec_tel_act;
    u_char G2;
    u_char R2;
    struct ce_crisHodoData hodo[CE_CRIS_MAXBLOBS];
    u_short prim_tag;
    short prim_ctr_ph[CE_CRIS_NCTRPH];
    short prim_guard_ph[CE_CRIS_NGUARD];
    u_short sec_tag;
    short sec_ctr_ph[CE_CRIS_NCTRPH];
    short sec_guard_ph[CE_CRIS_NGUARD];
    struct ce_crisStimData  stimdata;
};

#endif

/* evtno = event number                                     */
/* *p = ptr to cris normal data for this event              */
/* cam = which camera (guess)                               */
/* nbytes = byte 0 - no. of bytes in this event             */
/* stim =stimulated event flag                              */
/* prim_tel_pair = primary telescope pair (CRIS_AB or _CD)  */
/* buffer_id = event buffer id                              */
/* guard_hi_or = guard high level "OR"                      */
/* hazard = hazard flag                                     */
/* G1 = # low level guards hit in prim. tel. pair           */
/* R1 = range in primary tel. pair                          */
/* got_2nd_tel = is there 2nd telescope data in this evt?   */
/* got_guard = transmit guard pulse heights in this evt?    */
/* centroid_err = centroid calculation error                */
/* nblobs = number of soft centroids transmitted            */
/* npix_z = byte 4 - no. of soft pixels encoded as float    */
/* age = age - units 256 sec.                               */
/* sec_tel_act = activity in the second telescope           */
/* G2 = # low level guards hit in 2nd tel. pair             */
/* R2 = range in 2nd telescope pair                         */
/* hodo =  SOFT hodo data                                   */
/* prim_tag = primary telescope tag bits                    */
/* prim_ctr_ph = primary centr pulse hts                    */
/* prim_guard = primary guard pulse hts                     */
/* sec_tag = secondary telescope tag bits                   */
/* sec_ctr_ph = 2ndary ctr pulse hts                        */
/* sec_guard_ph = 2ndary guard pulse hts                    */
/* stimdata = stimulated event parameters                   */
